package cn.com.qmth.scancentral.task;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

import cn.com.qmth.scancentral.service.DataExportTaskService;

@Service
public class DataExportTaskJob {

    @Autowired
    private DataExportTaskService dataExportTaskService;

    @Scheduled(fixedDelay = 30 * 1000, initialDelay = 30 * 1000)
    public void run() {
        dataExportTaskService.clearTimeOut();
    }

}
